JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinBase.SYSTEM_INFO.UNION.ByReference

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.sun.jna.platform.win32.WinBase.SYSTEM_INFO.UNION
                  com.sun.jna.platform.win32.WinBase.SYSTEM_INFO.UNION.ByReference

All Implemented Interfaces:
  Structure.ByReference

Enclosing class:
  WinBase.SYSTEM_INFO.UNION

    public static class WinBase.SYSTEM_INFO.UNION.ByReference

extends WinBase.SYSTEM_INFO.UNION
implements Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.platform.win32.WinBase.SYSTEM_INFO.UNION
`WinBase.SYSTEM_INFO.UNION.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary

Fields inherited from class com.sun.jna.platform.win32.WinBase.SYSTEM_INFO.UNION
`dwOemID, pi`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinBase.SYSTEM_INFO.UNION.ByReference()`

Method Summary

Methods inherited from class com.sun.jna.Union
`getNativeAlignment, getTypedValue, readField, setType, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getPointer, getStructAlignment, hashCode, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinBase.SYSTEM_INFO.UNION.ByReference

    public WinBase.SYSTEM_INFO.UNION.ByReference()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.